Subject: Re: [PATCH] nfp: convert nfp_eth_set_bit_config() into a macro

From: Jakub Kicinski <[email-masked]>
Date: Tue, 24 Oct 2017 10:03:56 -0700

On Tue, 24 Oct 2017 09:56:03 -0700, Matthias Kaehlcke wrote:
> > @@ -561,6 +568,6 @@ int __nfp_eth_set_speed(struct nfp_nsp *nsp, unsigned int speed)
> >   */
> >  int __nfp_eth_set_split(struct nfp_nsp *nsp, unsigned int lanes)
> >  {
> > -	return nfp_eth_set_bit_config(nsp, NSP_ETH_RAW_PORT, NSP_ETH_PORT_LANES,
> > +	return NFP_ETH_SET_BIT_CONFIG(nsp, NSP_ETH_RAW_PORT, NSP_ETH_PORT_LANES,
> >  				      lanes, NSP_ETH_CTRL_SET_LANES);
> >  }  
> 
> Do you plan to send this as an official patch?

Sorry...  Dirk is prepping a larger series for this area of code and it
got stuck there a bit :S  He says it's coming any day now...